#  Copyright (c) 2023 VK Group
#  #
#  Licensed under the Apache License, Version 2.0 (the "License");
#  you may not use this file except in compliance with the License.
#  You may obtain a copy of the License at
#  #
#     http://www.apache.org/licenses/LICENSE-2.0
#  #
#  Unless required by applicable law or agreed to in writing, software
#  distributed under the License is distributed on an "AS IS" BASIS,
#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
#  implied.
#  See the License for the specific language governing permissions and
#  limitations under the License.
from mlplatform_client.serializers.settings import Settings, AppSettings, ClientSettings


GATEWAY_HOST = "https://mcs.mail.ru/infra/mlplatform/v1_0"


APP_SETTINGS = Settings(
    app=AppSettings(
        max_retry=3,
        clients_timeout=90,
        upper_disks_number_threshold=10,
    ),
    auth=ClientSettings(host=GATEWAY_HOST + "/kto_tam/token"),
    spark=ClientSettings(host=GATEWAY_HOST + "/spark_k8s"),
    gateway=ClientSettings(host=GATEWAY_HOST + "/outer_client"),
)
